/*----------------------------------------------------------------------------*\
**                                DP_History.c
**
**  Description:
** 
**  Version:    5.1
**  Date:       02/26/99
**  Contents:
**      This file contains the following functions and methods:
\*----------------------------------------------------------------------------*/
#pragma ident "@(#)DP_History.c	5.1 02/26/99, Copyright DLR 1998"

#include "dp_htory.h"



#define	SccsId	("@(#)DP_History.c 5.1 02/26/99, Copyright DLR 1998")


#define	SS_ID	("DP_History")


/*============================================================================*\
**  public operations
\*============================================================================*/

/*----------------------------------------------------------------------------*\
**                                DataPackage2Str
**  Input parameters:
**    Enum DataPackage enumerator
**  Output parameters:
**    <none>
**  Other interfaces:
**    <none>
**  Description:
**    A string representing the DataPackage_e Enum is returned
**  References:
**    <none>
**  Libraries:
**    <none>
**  Created:    24.1.95
**  Author:		Diego Loyola, DLR/WT-DA-BS
\*----------------------------------------------------------------------------*/
const char*
DataPackage2Str(DataPackage_e Enum)
{
    static const char *DataPackageStr[] = 
    {
	"SCANNING", "SUN", "LAMP", "LED", "DARK", "MOON", "OTHER", "UNDEFINED"
    };
    return DataPackageStr[Enum];
}


/*============================================================================*\
**  private operations
\*============================================================================*/

 
