/*----------------------------------------------------------------------------*\
**                                DSR_REC_NO.h
**
**  Class DSR_REC_NO declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _DSR_REC_NO_h
#define _DSR_REC_NO_h

#pragma ident "@(#)DSR_REC_NO.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	DSR_REC_NO_SIZE	(4)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class DSR_REC_NO
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
DSR_REC_NO__write( FILE *Stream, const char DSR_REC_NO[ DSR_REC_NO_SIZE]);

FunctionStatus_e
DSR_REC_NO__read(char DSR_REC_NO[DSR_REC_NO_SIZE], FILE* Stream);

void
DSR_REC_NO__extract(char DSR_REC_NO[DSR_REC_NO_SIZE], long* NoOf_DSR);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
