/*----------------------------------------------------------------------------*\
**                                IntgPattern.h
**
**  Class IntgPattern declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _IntgPattern_h
#define _IntgPattern_h

#pragma ident "@(#)IntgPattern.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class IntgPattern
\*============================================================================*/
typedef struct IntgPattern {
    short Time[BAND_DEFINED];	/* Integration Time Pattern */
    char IsCoadding;		/* Flag for Co-adding Measurements */
} IntgPattern_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
