/*----------------------------------------------------------------------------*\
**                                QualityCheck.h
**
**  Class QualityCheck declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _QualityCheck_h
#define _QualityCheck_h

#pragma ident "@(#)QualityCheck.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sciedata.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	SATURATION_CHANNEL_1	(52926)

#define	SATURATION_CHANNEL_2	(55849)

#define	SATURATION_CHANNEL_3	(52519)

#define	SATURATION_CHANNEL_4	(55836)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
Bool 
QualityCheck__CheckSaturation(ScienceData_e Band, const float* Reticon, 
			      short* Flags, short Begin, short End, 
			      const char* PixelDate);



/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif

