/*----------------------------------------------------------------------------*\
**                                SunReference.h
**
**  Class SunReference declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _SunReference_h
#define _SunReference_h

#pragma ident "@(#)SunReference.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "sys.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	SUN_REF_SPECTRUM_MEAS_SIZE	(OPTICAL_CHANNELS * DETECTOR_PIXELS * FLOAT_SIZE)


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
SunReference__read(float SunReferenceSpec[OPTICAL_CHANNELS][DETECTOR_PIXELS],
		   FILE* file_ptr, Bool convert_sun_2_host);

void
SunReference__show(const float 
		   SunReferenceSpec[OPTICAL_CHANNELS][DETECTOR_PIXELS],
		   FILE* file_ptr);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
