/*----------------------------------------------------------------------------*\
**                                utils.h
**
**  Some usefull functions
** 
**  Version:    1.2
**  Date:       01/22/04
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _utils_h
#define _utils_h

#pragma ident "@(#)utils.h	1.2 01/22/04, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif

#include "defs.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  functions
\*----------------------------------------------------------------------------*/
float
round_f(float Value, float Precision);

double
round_d(double Value, double Precision);

int
count_words_in_string(char* line);

char*
AbsolutePath(GDP_Level_e Level, const char *Directory, const char *FileName);


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif


#endif

