/*----------------------------------------------------------------------------*\
**                                AuxiliaryPar.h
**
**  Class AuxiliaryPar declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _AuxiliaryPar_h
#define _AuxiliaryPar_h

#pragma ident "@(#)AuxiliaryPar.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "go_iatus.h"

/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class AuxiliaryPar
\*============================================================================*/
typedef struct AuxiliaryPar {
    short SubsetCounter;
    float PMD[PMD_DEFINED][PMD_SIZE];
    Bool AverageMode;
    GO_IntegrStatus_s IntegrStatus;
    short Peltier[OPTICAL_CHANNELS];
} AuxiliaryPar_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif 

#endif
 
