/*----------------------------------------------------------------------------*\
**                                IntgInfo.h
**
**  Class IntgInfo declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _IntgInfo_h
#define _IntgInfo_h

#pragma ident "@(#)IntgInfo.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/
typedef enum 
{
    INTG_NO_COMPLETED = 0,
    INTG_COMPLETED = 3,
    INTG_ABORTED = 1,
    INTG_FORCED = 2
} IntegrationStatus_e;


/*============================================================================*\
**  class IntgInfo
\*============================================================================*/
typedef struct IntgInfo {
    float Time;			/* Integration time */
    IntegrationStatus_e Status;	/* Integration status: */
} IntgInfo_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
