/*----------------------------------------------------------------------------*\
**                                Level_0_FileRec.h
**
**  Class Level_0_FileRec declaration
** 
**  Version:    5.2
**  Date:       03/01/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _Level_0_FileRec_h
#define _Level_0_FileRec_h

#pragma ident "@(#)Level_0_FileRec.h	5.2 03/01/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"
#include "mph.h"
#include "sph.h"
#include "dsr_c_no.h"


/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class ...
\*============================================================================*/


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/
FunctionStatus_e
Level_0_FileRec__write(const char MPH[MPH_SIZE], const char SPH[SPH_SIZE], 
		       char DSR_REC_NO[DSR_REC_NO_SIZE], char DSR[],
		       FILE* Stream);

FunctionStatus_e
Level_0_FileRec__read(char MPH[MPH_SIZE], char SPH[SPH_SIZE],
		      char DSR_REC_NO[DSR_REC_NO_SIZE], char DSR[],
		      FILE* Stream);


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
