/*----------------------------------------------------------------------------*\
**                                StraylightGhost.h
**
**  Class StraylightGhost declaration
** 
**  Version:    5.1
**  Date:       02/26/99
**  Author:     Christian Rehn, DLR/DFD-AP
\*----------------------------------------------------------------------------*/
#ifndef _StraylightGhost_h
#define _StraylightGhost_h

#pragma ident "@(#)StraylightGhost.h	5.1 02/26/99, Copyright DLR 1998"

#ifdef __cplusplus
extern "C"                      /* External C definitions */
{
#endif


#include "defs.h"

/*----------------------------------------------------------------------------*\
**  constants
\*----------------------------------------------------------------------------*/

#define	STRAYLIGHT_GHOST_SIZE	(SHORT_SIZE + SHORT_SIZE + FLOAT_SIZE + FLOAT_SIZE)

/*----------------------------------------------------------------------------*\
**  enums
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  class StraylightGhost
\*============================================================================*/
typedef struct StraylightGhost {
    short Symmetry;		/* Pixel of Symmetry */
    short Centre;		/* Centre Wavelength light source */
    float Defocusing;		/* Defocusing Info */
    float Energy;		/* Energy Ratio */
} StraylightGhost_s;


/*============================================================================*\
**  public operations
\*============================================================================*/
 
/*----------------------------------------------------------------------------*\
**  constructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  destructors
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  accessor operations 
\*----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------*\
**  other operations 
\*----------------------------------------------------------------------------*/


/*============================================================================*\
**  private operations
\*============================================================================*/


#ifdef __cplusplus
}                                                        /* end C linkage */
#endif
 
#endif
 
